<div class="login-page" fxLayout="row" fxLayout.xs="column" fxLayoutAlign="center" fxLayoutGap="50px">
    <div class="logo-container" fxFlexAlign="center">
        <!-- <app-logo></app-logo> -->
        <img [src]="APP" style="width:120%" alt="">
    </div>
    <mat-card fxFlexAlign="center">
        <mat-card-title>
            Login to Platform for Good
        </mat-card-title>
        <mat-card-content>
            <form (keyup.enter)="login()">
                <mat-form-field class="login-field">
                    <input matInput placeholder="Email" name="email" [(ngModel)]="email" type="email"
                        autocomplete="username email" required/>
                </mat-form-field>
                <mat-form-field class="login-field">
                    <input matInput placeholder="Password" name="password" [(ngModel)]="password" type="password"
                        autocomplete="current-password" required/>
                </mat-form-field>
            </form>
            <mat-error [textContent]="errorMessage"></mat-error>
        </mat-card-content>
        <mat-card-actions>
            <button mat-raised-button color="primary" class="login-button" (click)="login()" type="submit">
                Login
            </button>
            <button mat-raised-button color="primary" class="login-button" (click)="register()" type="submit">
                Register
            </button> 
            <!-- <mat-slide-toggle [(ngModel)]="isDemo">
                Demo
            </mat-slide-toggle>            -->
        </mat-card-actions>
    </mat-card>
</div>